From b6e2fac37eb4850d9949509cf677235128aa24fa Mon Sep 17 00:00:00 2001
From: Francesco Poli (t1000) <frx@firenze.linux.it>
Date: Sun, 25 Jul 2010 18:26:48 +0200
Subject: [PATCH 7/8] changed exit status for BTS reading errors

---
 apt-listbugs     |    2 +-
 debian/changelog |    5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/apt-listbugs b/apt-listbugs
index f82126f..5089c7b 100755
--- a/apt-listbugs
+++ b/apt-listbugs
@@ -347,7 +347,7 @@ begin
   }
 rescue
   config.frontend.puts " ... E: #{$!}"
-  exit 10
+  exit 1
 end
 
 Factory::BugsFactory.delete_ignore_bugs(bugs) if config.command == "apt"
diff --git a/debian/changelog b/debian/changelog
index b234449..c38b205 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -15,12 +15,15 @@ apt-listbugs (0.1.4) UNRELEASED; urgency=low
     users: see also bug #399706)
   * dropped the obsolete /usr/share/doc/apt-listbugs/examples/proxy/ directory
   * bumped Standards-Version to 3.9.0: no changes needed
+  * changed exit status for errors encountered when reading bug reports: the
+    right exit status is 1 ("something is wrong", as documented in the man
+    page), not 10 (which is reserved for warning APT not to proceed)
 
   [ Ryan Niebur ]
   * updated German translation, thanks Thomas Mueller! (Closes: #578305)
   * flush stdin after running the web browser (Closes: #578299)
 
- -- Francesco Poli (t1000) <frx@firenze.linux.it>  Wed, 30 Jun 2010 23:38:28 +0200
+ -- Francesco Poli (t1000) <frx@firenze.linux.it>  Sun, 25 Jul 2010 18:18:19 +0200
 
 apt-listbugs (0.1.3) unstable; urgency=low
 
-- 
1.7.1

